﻿--------------------------------------------------------------------------------
--  ITEM SETS
--
--  These are the default item templates that FarmIt includes.
--  Items are grouped by the area of the game in which they are primarily obtainable.
--  To add your own: set up a bar in-game, then use the following commands:
--    /farmit tpl list
--    /farmit tpl save {bar#} name
--    /farmit tpl load {bar#} name
--    /farmit tpl delete name
--
--  Note: To simplify input parsing, spaces are not allowed in custom template names.
--
--[[
["Category"] = {
	-- primary professions
	["Alchemy"] = {},
	["Blacksmithing"] = {},
	["Enchanting"] = {},
	["Engineering"] = {},
	["Herbalism"] = {},
	["Inscription"] = {},
	["Jewelcrafting"] = {},
	["Leatherworking"] = {},
	["Mining"] = {},
	["Skinning"] = {},
	["Tailoring"] = {},
	-- secondary professions
	["Archaeology"] = {},
	["Cooking"] = {},
	["FirstAid"] = {},
	["Fishing"] = {},
	-- other
	["Elemental"] = {},
	["Misc"] = {},
}
]]
--------------------------------------------------------------------------------
if FI_DEBUG then print("FarmIt2_Templates.lua loaded."); end


-- categories
FI_TPL = {
	["WOW"] = {},
	["TBC"] = {},
	["WOTLK"] = {},
	["CATA"] = {},
}

-- Mining
FI_TPL.WOW.Mining = {2770,2771,2775,2772,2776,3858,7911,11370,10620};
FI_TPL.TBC.Mining = {23424,23425,23426,23427};
FI_TPL.WOTLK.Mining = {36909,36912,36910};
FI_TPL.CATA.Mining = {53038,52184,52185,52183};

-- Herbalism
FI_TPL.WOW.Herbalism = {2447,765,785,2449,2450,2452,2453,3820,3369,3355,3356,3357,3818,3821,3358,3819};
FI_TPL.WOW.Herbalism2 = {8153,4625,8831,8836,8838,8839,8845,8846,13464,13463,13465,13466,13467,13468,19726};
FI_TPL.TBC.Herbalism = {22785,22786,22789,22787,22788,22790,22791,22792,22793,22794};
FI_TPL.WOTLK.Herbalism = {36901,37921,36904,36907,36903,36905,36906,36908};
FI_TPL.CATA.Herbalism = {52983,52984,52985,52986,52988,52987,52989};

-- More templates to come in future updates...